image: alpine:latest

stages:
  - test
  - deploy

test-job:
  stage: test
  script:
    - echo "Testing files exist..."
    - test -f  public/index.html
    - echo "Test finished, all ok"
  only:
    - master

pages:
  stage: deploy
  script:
    - echo "Deploying to https://transfer.hft-stuttgart.de/pages/$CI_PROJECT_PATH/"
  artifacts:
    paths:
      - public
  only:
    - master
